.add-to-fav {
    position: relative;
}

.add-to-fav.loading {
    pointer-events: none;
}

.add-to-fav.loading .svg-icon {
    opacity: 0;
}

.add-to-fav.loading::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 18px;
    height: 18px;
    border-radius: 18px;
    margin: -9px 0 0 -9px;
    border: 1px solid var(--chernyy-100);
    border-right-color: transparent;
    animation: spinner 1s linear infinite;
}